Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.core.impl
Class ConnectionImpl

    java.lang.Object
      org.jbpm.workflow.core.impl.ConnectionImpl

All Implemented Interfaces:
  Serializable, Connection

    public class ConnectionImpl

extends Object
implements Connection, Serializable

Default implementation of a connection.

See Also:
  Serialized Form

Constructor Summary
`ConnectionImpl()`
`ConnectionImpl(Node from, String fromType, Node to, String toType)` This constructor calls `connect()` itself!

Method Summary
`void` | `connect()`
`Node` | `getFrom()` The Node the connection starts from.
`String` | `getFromType()` The type of exit point of the from Node.
`Map<String,Object>` | `getMetaData()` Meta data associated with this connection.
`Object` | `getMetaData(String name)`
`Node` | `getTo()` The Node the connection goes to.
`String` | `getToType()` The type of entry point of the to Node.
`void` | `setFrom(Node from)`
`void` | `setFromType(String fromType)`
`void` | `setMetaData(String name, Object value)`
`void` | `setTo(Node to)`
`void` | `setToType(String toType)`
`void` | `terminate()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectionImpl

    public ConnectionImpl()

### ConnectionImpl

    public ConnectionImpl(Node from,
                          String fromType,
                          Node to,
                          String toType)

  This constructor calls `connect()` itself! That means that simply creating the object also adds it to the appropriate `List` fields in other objects. Creates a new connection, given a from node, a to node and a type.

  Parameters:
    `from` - The from node
    `fromType` - The node type
    `to` - The to node
    `toType` - The connection type

Method Detail

### connect

    public void connect()

### terminate

    public void terminate()

### getFrom

    public Node getFrom()

  Description copied from interface: `Connection`
  The Node the connection starts from.

  Specified by:
    `getFrom` in interface `Connection`

### getTo

    public Node getTo()

  Description copied from interface: `Connection`
  The Node the connection goes to.

  Specified by:
    `getTo` in interface `Connection`

### getFromType

    public String getFromType()

  Description copied from interface: `Connection`
  The type of exit point of the from Node. Defaults to "DROOLS_DEFAULT".

  Specified by:
    `getFromType` in interface `Connection`

### getToType

    public String getToType()

  Description copied from interface: `Connection`
  The type of entry point of the to Node. Defaults to "DROOLS_DEFAULT".

  Specified by:
    `getToType` in interface `Connection`

### setFrom

    public void setFrom(Node from)

### setTo

    public void setTo(Node to)

### setFromType

    public void setFromType(String fromType)

### setToType

    public void setToType(String toType)

### getMetaData

    public Map<String,Object> getMetaData()

  Description copied from interface: `Connection`
  Meta data associated with this connection.

  Specified by:
    `getMetaData` in interface `Connection`

### setMetaData

    public void setMetaData(String name,
                            Object value)

### getMetaData

    public Object getMetaData(String name)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.